
QGIS Application - Bug report #20111

Crasing on opening a .bak project from AutoSave plugin

2018-10-15 03:37 PM - Roberto Lopez

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.2.3 Regression?: No

Operating System: w7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27933

Description

User Feedback

Report Details

Crash ID: ddfe7c264a7641a1e1676a7e5128f1d4002f56b7

Stack Trace

zip_source_function_create :

zip_source_function_create :

QgsZipUtils::unzip :

QgsProjectArchive::unzip :

QgsProject::unzip :

QgsProject::read :

QgisApp::addProject :

QgisApp::openFile :

CPLStringList::List :

QgisApp::identify :

QMetaObject::activate :

QTimer::timerEvent :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32Private::sendTimerEvent :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info
CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-10-15 10:04 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Category changed from Unknown to Project Loading/Saving

- Priority changed from Low to High

- Affected QGIS version changed from 3.3(master) to 3.2.3

Steps to replicate?

#2 - 2018-10-15 10:05 PM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2018-10-15 10:22 PM - Nyall Dawson

Isn't this a plugin issue?

#4 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2018-12-24 10:29 AM - Alexander Bruy

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
